QGIS Application - Bug report #14142
M ordinate is lost on shapefile update
2016-01-19 08:56 AM - Sandro Santili

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/OGR

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: up/downstream

Copied to github as #: 22144

Description

Opening an XYM or XYMZ shapefile and editing its attributes results in loosing the M ordinate value from the original shapefile.

This is an unwarned lossy operation, pretty bad for an unaware user.

This ticket is a spin-off of #11422

Either M support should be added to OGR or QGIS should print a big warning and ask if the user wants to continue with the destructive

operation.

History

#1 - 2016-01-20 07:47 AM - Matthias Kuhn

Is there already a ticket against GDAL?

#2 - 2016-01-25 01:42 AM - Sandro Santilli

| Just filed one: https://trac.osgeo.org/gdal/ticket/6331

#3 - 2016-10-07 03:49 AM - Even Rouault
- Resolution set to up/downstream

- Status changed from Open to Closed

Has been fixed with GDAL 2.1
